xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::LatLongCoords Class Reference

A sequence of latitude-longitude coordinates. More...

`#include <geospatial.h>`

## Public Member Functions
LatLongCoordsIterator | begin () const
| Get a begin iterator for the coordinates.
LatLongCoordsIterator | end () const
| Get an end iterator for the coordinates.
size_t | size () const
| Get the number of coordinates in the container.
bool | empty () const
| Return true if and only if there are no coordinates in the container.
void | append (const LatLongCoord &coord)
| Append a coordinate to the end of the sequence.
| LatLongCoords ()
| Construct an empty container.
| LatLongCoords (const LatLongCoord &coord)
| Construct a container holding one coordinate.
void | unserialise (std::string_view serialised)
| Unserialise a string and set this object to the coordinates in it.
std::string | serialise () const
| Return a serialised form of the coordinate list.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

A sequence of latitude-longitude coordinates.

Experimental - see https://xapian.org/docs/deprecation#experimental-features

## Member Function Documentation

## ◆ unserialise()

void Xapian::LatLongCoords::unserialise | ( | std::string_view | serialised | ) |

Unserialise a string and set this object to the coordinates in it.

Parameters

  serialised | the string to unserialise the coordinates from.

Exceptions

  Xapian::SerialisationError | if the string does not contain a valid serialised latitude-longitude pair, or contains junk at the end of it.

The documentation for this class was generated from the following file:

- xapian/geospatial.h